package com.cpp.web.domain.regulation;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.web.domain.BaseCppEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.Digits;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 临时短期调控主表
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
@TableName("cpp_temp_short_regulation")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_temp_short_regulation")
public class TempShortRegulation extends BaseCppEntity {
    /**
     * 调控日
     */
    @ApiModelProperty(value = "调控日期")
    private Date tkDate;

    /**
     * 调控的预测日期
     */
    @ApiModelProperty(value = "调控日期")
    private Date forecastDate;


    /** 创建者 */
    @TableField(value = "create_by" , fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 调控下发状态 E1:已下发,E2:未下发
     */
    private String regulationStatusEnum;
    /**
     * 上报状态 E1:成功,E2:失败，E3:未回传
     */
    private String uploadStatusEnum;
}
